"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMongoDbUrl = void 0;
const querystring_1 = __importDefault(require("querystring"));
function createMongoDbUrl(values) {
    // init the template of mongodb url
    let template = `mongodb://<username>:<password>@<hostname>:<port>/<database>`;
    // remove the username and password section from the template
    // when we can't resolve the username and the password
    if (!values.username || !values.password) {
        template = template.replace('<username>:<password>@', '');
    }
    // prepare the mongodb url
    for (const key in values) {
        template = template.replace(`<${key}>`, values[key]);
    }
    // stringify all options if exist then add it to mongodb url
    if (values.options) {
        const queryOptions = querystring_1.default.stringify(values.options);
        template = `${template}?${queryOptions}`;
    }
    // return the mongodb url
    return template;
}
exports.createMongoDbUrl = createMongoDbUrl;
